# Makefile from mpg123

HOBJ = audio.h buffer.h common.h genre.h getbits.h getlopt.h huffman.h \
	l2tables.h mpg123.h playlist.h version.h xfermem.h

OOBJ = vgag-mp3.o audio.o audio_dummy.o buffer.o common.o control_generic.o dct64.o \
	decode.o decode_2to1.o decode_4to1.o decode_ntom.o equalizer.o \
	getbits.o getlopt.o layer1.o layer2.o layer3.o mpg123.o playlist.o \
	readers.o tabinit.o wav.o xfermem.o

all: vgag-mp3

clean:
	rm -f *.o vgag-mp3

vgag-mp3: $(HOBJ) $(OOBJ)
	$(CC) $(CFLAGS) $(OOBJ) -lm -o vgag-mp3
	cp vgag-mp3 $(PREFIX)/bin/

.c.o:
	$(CC) $(CFLAGS) -c $<

